#ifndef _Coordinate__H
#define _Coordinate__H

#include <iostream>

using namespace std;

class Coordinate
{
	int *components;
	int dim;
	
public:
	Coordinate(int x, int y);
	Coordinate(const Coordinate&);
	~Coordinate();
	int get(int component) const;
	bool operator==(const Coordinate&) const;
	string to_string() const;
	Coordinate operator+(const Coordinate& c) const;
	Coordinate operator-(const Coordinate& c) const;
protected:
	void set(int component,int value);
};

#endif
